Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class DataSourceProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.DataSourceProperty

public class DataSourceProperty
extends ObjectProperty

An enumerated type used to describe the properties of Data Sources in the portal. Data Sources support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static DataSourceProperty` | `ImageUUID` The class ID of the image for the object.
`static DataSourceProperty` | `ProviderClassID` The class ID of the Data Source provider for this Data Source.
`static DataSourceProperty` | `WebServiceID` The ID of the Web Service with which the DataSource is associated.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ImageUUID

    public static final DataSourceProperty ImageUUID

  The class ID of the image for the object.

### ProviderClassID

    public static final DataSourceProperty ProviderClassID

  The class ID of the Data Source provider for this Data Source.

### WebServiceID

    public static final DataSourceProperty WebServiceID

  The ID of the Web Service with which the DataSource is associated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.